net.i2p.router.startup

## Class RebuildRouterInfoJob

- java.lang.Object
- - net.i2p.router.JobImpl
  - - net.i2p.router.startup.RebuildRouterInfoJob

All Implemented Interfaces:
  Job

    public class RebuildRouterInfoJob
    extends JobImpl

This used be called from StartAcceptingClientsJob but is now disabled. It is still called once from LoadRouterInfoJob (but not run as a Job). The following comments appear to be incorrect... it rebuilds if the router.info file does not exist. There is no check for a router.info.rebuild file. If the file router.info.rebuild exists, rebuild the router info and republish. This is useful for dhcp or other situations where the router addresses change - simply create the router.info.rebuild file after modifying router.config and within 45 seconds (the current check frequency), the router info will be rebuilt with new addresses and stats, as well as a new version, then republished. Afterwards, the router.info.rebuild file is deleted

### Constructor Summary

Constructors
Constructor and Description
`RebuildRouterInfoJob(RouterContext context)`

### Method Summary

Methods
`String` `getName()` Descriptive name of the task
`(package private) void` `rebuildRouterInfo()`
`(package private) void` `rebuildRouterInfo(boolean alreadyRunning)`
`void` `runJob()` Actually perform the task.

### Methods inherited from class net.i2p.router.JobImpl

`dropped, getAddedBy, getContext, getJobId, getMadeReadyOn, getTiming, madeReady, requeue, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RebuildRouterInfoJob

    public RebuildRouterInfoJob(RouterContext context)

### Method Detail

#### getName

    public String getName()

Description copied from interface: `Job`
Descriptive name of the task

#### runJob

    public void runJob()

Description copied from interface: `Job`
Actually perform the task. This call blocks until the Job is complete.

#### rebuildRouterInfo

    void rebuildRouterInfo()

#### rebuildRouterInfo

    void rebuildRouterInfo(boolean alreadyRunning)